## compiz 0.9.4+bzr20110606

=== CMakeLists.txt ===
project (compiz)

set (CMAKE_MODULE_PATH_ORIG ${CMAKE_MODULE_PATH})
set (COMPIZ_CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${COMPIZ_CMAKE_MODULE_PATH})
include (CompizCommon)
include (CompizPackage)
include (cmake/base.cmake)
include (CheckFunctionExists)


set (CMAKE_CONFIGURATION_TYPES "Debug;Release;RelWithDebInfo;MinSizeRe" CACHE INTERNAL "" FORCE)
if (NOT CMAKE_BUILD_TYPE)
    set (CMAKE_BUILD_TYPE "Debug" CACHE STRING "Build type (Debug/Release/RelWithDebInfo/MinSizeRe)" FORCE)
endif (NOT CMAKE_BUILD_TYPE)

# compiz package version number
# An odd micro number indicates in-progress development.
# An even micro number indicates a released version.
set (COMPIZ_VERSION_MAJOR 0)
set (COMPIZ_VERSION_MINOR 9)
set (COMPIZ_VERSION_MICRO 4)
set (COMPIZ_VERSION_MACRO 0)
set (VERSION ${COMPIZ_VERSION_MAJOR}.${COMPIZ_VERSION_MINOR}.${COMPIZ_VERSION_MICRO}.${COMPIZ_VERSION_MACRO})

set (DECOR_INTERFACE_VERSION 20110130)

if (COMPIZ_PACKAGING_ENABLED)
    set (prefix ${CMAKE_INSTALL_PREFIX}                   CACHE PATH "prefix")
    set (exec_prefix ${CMAKE_INSTALL_PREFIX}/bin          CACHE PATH "bindir")
    set (libdir ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}  CACHE PATH "libdir")
    set (includedir ${CMAKE_INSTALL_PREFIX}/include       CACHE PATH "includedir")
    set (datadir ${CMAKE_INSTALL_PREFIX}/share            CACHE PATH "datadir")
else (COMPIZ_PACKAGING_ENABLED)
    set (prefix ${CMAKE_INSTALL_PREFIX}                 )
    set (exec_prefix ${CMAKE_INSTALL_PREFIX}/bin        )
    set (libdir ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})
    set (includedir ${CMAKE_INSTALL_PREFIX}/include     )
    set (datadir ${CMAKE_INSTALL_PREFIX}/share          )
endif (COMPIZ_PACKAGING_ENABLED)

set (compiz_plugindir ${libdir}/compiz)
set (compiz_sharedir ${datadir}/compiz/)
set (compiz_metadatadir ${datadir}/compiz)
set (COMPIZ_I18N_DIR ${CMAKE_SOURCE_DIR}/po)

set (ALL_LINGUAS af ar bg bn bn_IN bs ca cs cy da de el en_GB en_US es eu et fi fr gl gu he hi hr hu id it ja ka km ko lo lt mk mr nb nl or pa pl pt pt_BR ro ru sk sl sr sv ta tr uk vi xh zh_CN zh_TW zu)
set (GETTEXT_PACKAGE compiz)

find_package (Boost 1.34.0 REQUIRED serialization)

set (COMPIZ_REQUIRES
    x11
    xext
    xdamage
    xcomposite
    x11-xcb
    xrandr
    xinerama
    xext
    ice
    sm
    libxml-2.0
    libxslt
    glib-2.0
    gio-2.0
    glibmm-2.4
    "libstartup-notification-1.0 >= 0.7"
)

set (DECORATION_REQUIRES xrender)

compiz_pkg_check_modules (COMPIZ REQUIRED ${COMPIZ_REQUIRES})
compiz_pkg_check_modules (LIBDECORATION REQUIRED ${DECORATION_REQUIRES})

list (APPEND COMPIZ_LIBRARIES ${Boost_LIBRARIES})

include (CompizDefaults)

set (COMPIZ_CFLAGS "${COMPIZ_CFLAGS} -I${Boost_INCLUDE_DIR}")

set (_compiz_package_string "Compiz ${VERSION}")
set (_compiz_package "Compiz")

compiz_configure_file (${compiz_SOURCE_DIR}/config.h.core.in ${compiz_BINARY_DIR}/generated/config.h)

compiz_configure_file (
    ${CMAKE_SOURCE_DIR}/include/compiz-common.h.in
    ${CMAKE_BINARY_DIR}/generated/compiz-common.h
)

install (
    FILES ${CMAKE_BINARY_DIR}/generated/compiz-common.h
    DESTINATION ${COMPIZ_DESTDIR}${includedir}/compiz
)

compiz_configure_file (
    ${CMAKE_SOURCE_DIR}/compiz.pc.in
    ${CMAKE_BINARY_DIR}/compiz.pc
    COMPIZ_REQUIRES
    COMPIZ_CFLAGS
)

install (
    FILES ${CMAKE_BINARY_DIR}/compiz.pc
    DESTINATION ${COMPIZ_DESTDIR}${libdir}/pkgconfig
)

add_subdirectory (cmake)
add_subdirectory (include)
add_subdirectory (images)
add_subdirectory (libdecoration)
add_subdirectory (gtk)
add_subdirectory (kde)
add_subdirectory (unity/unity_window_decorator)
add_subdirectory (po)
add_subdirectory (metadata)
add_subdirectory (src)
add_subdirectory (xslt)
add_subdirectory (plugins)

compiz_ensure_linkage ()
compiz_package_generation ("Compiz")
compiz_add_uninstall ()
compiz_add_git_dist ()

_print_configure_results ()

_check_compiz_cmake_macro (${CMAKE_MODULE_PATH_ORIG})

=== cmake/CMakeLists.txt ===
compiz_configure_file (
    ${CMAKE_CURRENT_SOURCE_DIR}/CompizDefaults.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/CompizDefaults.cmake
)

set (_files
    CompizCommon.cmake
    CompizPlugin.cmake
    CompizPackage.cmake
    CompizBcop.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/CompizDefaults.cmake
)

list (APPEND _PluginExtensionFiles
      plugin_extensions/CompizGenInstallData.cmake)
list (APPEND _PluginExtensionFiles
      plugin_extensions/CompizGenInstallImages.cmake)

if (USE_GCONF)
    list (APPEND _files CompizGconf.cmake)
    list (APPEND _PluginExtensionFiles plugin_extensions/CompizGenGconf.cmake)
endif (USE_GCONF)

install (
    FILES ${_files}
    DESTINATION ${COMPIZ_DESTDIR}${CMAKE_INSTALL_PREFIX}/share/compiz/cmake
)

install (
    FILES ${_PluginExtensionFiles}
    DESTINATION ${COMPIZ_DESTDIR}${CMAKE_INSTALL_PREFIX}/share/compiz/cmake/plugin_extensions
)

=== gtk/CMakeLists.txt ===
option (BUILD_GTK "Build gtk-window-decorator and Gnome related toold" 1)
option (BUILD_METACITY "Gtk-window-decorator metacity theme support" 1)
option (BUILD_GNOME "Gnome settings module" 1)
option (BUILD_GNOME_KEYBINDINGS "Gnome keybindings" 1)

compiz_set (USE_GTK ${BUILD_GTK})
compiz_set (USE_METACITY ${BUILD_METACITY})
compiz_set (USE_GNOME ${BUILD_GNOME})
compiz_set (USE_GNOME_KEYBINDINGS ${BUILD_GNOME_KEYBINDINGS})

if (USE_GTK)
    pkg_check_modules (GTK_WINDOW_DECORATOR
	xrender>=0.8.4
	gtk+-2.0>=2.18.0
	libwnck-1.0
	pangocairo
    )
    if (GTK_WINDOW_DECORATOR_FOUND)
        set (CMAKE_REQUIRED_FLAGS ${GTK_WINDOW_DECORATOR_CFLAGS})
        set (CMAKE_REQUIRED_LIBRARIES ${GTK_WINDOW_DECORATOR_LIBRARIES})
        list (FIND CMAKE_REQUIRED_FLAGS "-D_REENTRANT" REENTRANT_INDEX)
        if (REENTRANT_INDEX)
          list (REMOVE_AT CMAKE_REQUIRED_FLAGS REENTRANT_INDEX)
          list (APPEND CMAKE_REQUIRED_FLAGS "-D_REENTRANT=1")
        endif (REENTRANT_INDEX)
        check_function_exists (wnck_window_has_name HAVE_WNCK_WINDOW_HAS_NAME)
        set (CMAKE_REQUIRED_FLAGS "")
        set (CMAKE_REQUIRED_LIBRARIES "")

        compiz_pkg_check_modules (HAVE_LIBWNCK_2_18_1 libwnck-1.0>=2.18.1)
        compiz_pkg_check_modules (HAVE_LIBWNCK_2_19_4 libwnck-1.0>=2.19.4)

        if (USE_METACITY)
            pkg_check_modules (METACITY libmetacity-private)
            if (METACITY_FOUND)
		compiz_pkg_check_modules (HAVE_METACITY_2_15_21 libmetacity-private>=2.15.21)
		compiz_pkg_check_modules (HAVE_METACITY_2_17_0 libmetacity-private>=2.17.0)
		compiz_pkg_check_modules (HAVE_METACITY_2_23_2 libmetacity-private>=2.23.2)
            else (METACITY_FOUND)
		compiz_set (USE_METACITY 0)
            endif (METACITY_FOUND)
        endif (USE_METACITY)

	if (USE_GNOME)
	    compiz_pkg_check_modules (GNOME_WINDOW_SETTINGS
		gnome-window-settings-2.0
		gnome-desktop-2.0
	    )

	    if (GNOME_WINDOW_SETTINGS_FOUND)
	        exec_program (${PKG_CONFIG_EXECUTABLE} 
		  ARGS "--variable=prefix gnome-window-settings-2.0" 
		  OUTPUT_VARIABLE windowsettingsdatadir
		)
		set (windowsettingsdatadir ${windowsettingsdatadir}/share)
		exec_program (${PKG_CONFIG_EXECUTABLE} 
		  ARGS "--variable=libdir gnome-window-settings-2.0"
		  OUTPUT_VARIABLE windowsettingslibdir
		)
	    else (GNOME_WINDOW_SETTINGS_FOUND)
		compiz_set (USE_GNOME 0)
	    endif (GNOME_WINDOW_SETTINGS_FOUND)
	endif (USE_GNOME)

	if (USE_GNOME_KEYBINDINGS)
	    compiz_pkg_check_modules (GNOME_KEY_BINDINGS gnome-keybindings)
	    if (GNOME_KEY_BINDINGS_FOUND)
		exec_program (${PKG_CONFIG_EXECUTABLE}
		  ARGS "--variable=keysdir gnome-keybindings"
		  OUTPUT_VARIABLE keybindingsdir
		)
	    else (GNOME_KEY_BINDINGS_FOUND)
		compiz_set (USE_GNOME_KEYBINDINGS 0)
	    endif (GNOME_KEY_BINDINGS_FOUND)
        endif (USE_GNOME_KEYBINDINGS)
    else (GTK_WINDOW_DECORATOR_FOUND)
	compiz_set (USE_GTK 0)
    endif (GTK_WINDOW_DECORATOR_FOUND)
endif (USE_GTK)

if (NOT USE_GTK)
    compiz_set (USE_METACITY 0)
    compiz_set (USE_GNOME 0)
    compiz_set (USE_GNOME_KEYBINDINGS 0)
endif (NOT USE_GTK)

configure_file (
    ${CMAKE_CURRENT_SOURCE_DIR}/config.h.gtk.in
    ${CMAKE_CURRENT_BINARY_DIR}/config.h
)

add_subdirectory (window-decorator)
add_subdirectory (gnome)

=== metadata/CMakeLists.txt ===
set (
    COMPIZ_DEFAULT_PLUGINS "core" CACHE STRING
    "Default plugins list that will be added to core metadata file"
)

find_program (XSLTPROC_EXECUTABLE xsltproc)
mark_as_advanced (FORCE XSLTPROC_EXECUTABLE)

if (XSLTPROC_EXECUTABLE)

    add_custom_command (
	OUTPUT ${CMAKE_BINARY_DIR}/generated/core.xml.in
	COMMAND ${XSLTPROC_EXECUTABLE}
		-o ${CMAKE_BINARY_DIR}/generated/core.xml.in
		--param default_plugins "\"'${COMPIZ_DEFAULT_PLUGINS}'\""
		${CMAKE_SOURCE_DIR}/xslt/default_plugins.xslt
		${CMAKE_CURRENT_SOURCE_DIR}/core.xml.in
	DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/core.xml.in
    )
    set (_core_file "${CMAKE_BINARY_DIR}/generated/core.xml.in")
else ()
    set (_core_file "${CMAKE_CURRENT_SOURCE_DIR}/core.xml.in")
endif ()


set (_xml_targets)
set (_schema_targets)

compiz_translate_xml (
    ${_core_file}
    ${CMAKE_BINARY_DIR}/generated/core.xml
)

install (
    FILES ${CMAKE_BINARY_DIR}/generated/core.xml
    DESTINATION ${COMPIZ_DESTDIR}${compiz_metadatadir}
)

add_custom_target (core-xml-file ALL
    DEPENDS ${CMAKE_BINARY_DIR}/generated/core.xml
)

if (USE_GCONF)
    compiz_gconf_schema (
	${CMAKE_BINARY_DIR}/generated/core.xml
	${CMAKE_BINARY_DIR}/generated/compiz-core.schemas
	${SCHEMADIR}
    )
    add_custom_target (core-gconf-schema ALL
	DEPENDS ${CMAKE_BINARY_DIR}/generated/compiz-core.schemas
    )
endif ()

=== plugins/CMakeLists.txt ===
set (COMPIZ_CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${COMPIZ_CMAKE_MODULE_PATH})
include (CompizDefaults)
include (CompizCommon)

set (COMPIZ_FOUND "true")

add_definitions ( -DHAVE_CONFIG_H)

compiz_add_plugins_in_folder (${CMAKE_CURRENT_SOURCE_DIR})

=== src/CMakeLists.txt ===
include (CompizBcop)

compiz_add_bcop_targets (
    core
    ${compiz_BINARY_DIR}/generated/core.xml.in
    _bcop_sources
)

include_directories (
    ${compiz_SOURCE_DIR}/include
    ${compiz_BINARY_DIR}
    ${compiz_BINARY_DIR}/generated
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${COMPIZ_INCLUDE_DIRS}
)

add_definitions (
    -DHAVE_CONFIG_H
    -DPLUGINDIR=\\\"${compiz_plugindir}\\\"
    -DSHAREDIR=\\\"${compiz_sharedir}\\\"
    -DMETADATADIR=\\\"${compiz_metadatadir}\\\"
)

link_directories (
    ${COMPIZ_LINK_DIRS}
)

add_executable (compiz
    region.cpp
    atoms.cpp
    timer.cpp
    main.cpp
    actions.cpp
    screen.cpp
    window.cpp
    action.cpp
    option.cpp
    string.cpp
    match.cpp
    pluginclasses.cpp
    event.cpp
    plugin.cpp
    session.cpp
    output.cpp
    rect.cpp
    size.cpp
    point.cpp
    windowgeometry.cpp
    icon.cpp
    modifierhandler.cpp
    propertywriter.cpp
    eventsource.cpp
    ${_bcop_sources}
)

target_link_libraries (
    compiz ${COMPIZ_LIBRARIES} m pthread dl
)

install (
    TARGETS compiz
    DESTINATION ${COMPIZ_DESTDIR}${exec_prefix}
)

=== plugins/decor/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)
include (CompizCommon)

compiz_plugin(decor PLUGINDEPS composite opengl LIBRARIES decoration)

if (COMPIZ_BUILD_WITH_RPATH AND NOT COMPIZ_DISABLE_PLUGIN_DECOR)

    set_target_properties (
	decor PROPERTIES
	INSTALL_RPATH "${COMPIZ_LIBDIR}"
    )
endif (COMPIZ_BUILD_WITH_RPATH AND NOT COMPIZ_DISABLE_PLUGIN_DECOR)

=== plugins/kde/CMakeLists.txt ===
find_package (Compiz REQUIRED)
find_package (KDE4 4.2)

include (CompizPlugin)

if (KDE4_FOUND)
    include(KDE4Defaults)
    include(MacroLibrary)

    string (REGEX REPLACE "-fvisibility=hidden" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
    string (REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_SHARED_LINKER_FLAGS ${CMAKE_SHARED_LINKER_FLAGS})

    add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

    QT4_AUTOMOC (src/dispatcher.cpp)

    compiz_plugin (kde LIBRARIES ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS}
	LIBDIRS ${KDE4_LIB_DIR}
	INCDIRS ${KDE4_INCLUDES}
    )

endif ()

=== debian/changelog ===
compiz (1:0.9.4+bzr20110606-0ubuntu1~natty2) natty-proposed; urgency=low

  * debian/patches/00_bzr_fix_727143.patch:
    - Fix unity-window-decorator crashes with SIGSEGV when closing Java
      windows (LP: #727143)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 24 Jun 2011 10:52:47 +0200

compiz (1:0.9.4+bzr20110606-0ubuntu1~natty1) natty-proposed; urgency=low

  * New bug fix release:
    - Switcher window borders are not properly unmapped with
      (unity|gtk)-window-decorator (LP: #789580)
    - maximized window is displaced (LP: #772612)
    - Unity launcher gets visible while screensaver is active (LP: #771391)
    - 1 pixel icons in notification-area-applet when compiz is the windows
      manager (LP: #767095)
  * debian/patches/00_bzr_fix_apps_without_startupid.patch:
    - removed: upstream

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 01 Jun 2011 10:23:26 +0200

=== debian/control ===
Source: compiz
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Sean Finney <seanius@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: cmake (>= 2.6),
 cdbs,
 debhelper (>= 7.0.50~), intltool, 
 kdebase-workspace-dev,
 libcairo2-dev,
 libdbus-glib-1-dev, libgconf2-dev, 
 libgl1-mesa-dev (>= 6.5.1) | libgl-dev, libglib2.0-dev, libgnome-desktop-dev, 
 libgnomeui-dev, libboost1.42-dev, libboost-serialization1.42-dev,
 libgnome-window-settings-dev, libgtk2.0-dev, libice-dev (>= 1:1.0.1), 
 libmetacity-dev (>= 1:2.30.3-0ubuntu3), libpango1.0-dev, libpng12-dev | libpng-dev, librsvg2-dev, 
 libsm-dev (>= 1:1.0.1), libtool, libwnck-dev, libx11-dev, libxcomposite-dev (>= 1:0.3-2), libxext-dev,
 libxdamage-dev (>=1:1.0.3), libxfixes-dev (>= 1:4.0.1), libxinerama-dev, 
 libxml-parser-perl, libxrandr-dev (>= 2:1.1.0.2), libxrender-dev (>= 1:0.9.1), 
 libxcursor-dev,
 libxml2-dev, libxslt1-dev,
 libstartup-notification0-dev (>= 0.7),
 quilt (>= 0.40), x11proto-gl-dev (>= 1.4.8), xsltproc,
 libglu1-mesa-dev,
 libglib2.0-dev,
 libglibmm-2.4-dev,
 kdebase-workspace-dev, kdelibs5-dev (>= 4:4.2.2),
 metacity-common, libx11-xcb-dev,
 gnome-control-center-dev,
Standards-Version: 3.8.1
Vcs-Bzr: https://code.launchpad.net/~compiz/compiz/ubuntu

Package: compiz
Architecture: all
Provides: x-window-manager
Depends: compiz-core (>= ${source:Version}), compiz-plugins (>= ${source:Version}), compiz-gnome | compiz-kde, compiz-plugins-main (>= 0.9), libcompizconfig0 (>= 0.9), ${misc:Depends}
Suggests: compizconfig-settings-manager
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This metapackage provides the components necessary for running compiz. It
 provides the compiz core, a set of standard plugins, a window decorator using
 the Gtk toolkit and the files necessary to integrate compiz with the GNOME
 desktop environment.

Package: compiz-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libcompizconfig0 (<< 0.9.2.1git101125-0ubuntu3),
 compiz-fusion-plugins-main (<< 0.9.2.1-0ubuntu6), 
 unity (<< 3.2.6-0ubuntu2), 
 compiz-fusion-plugins-extra (<< 0.9),
 simple-ccsm (<< 0.9)
Recommends: compiz-plugins (= ${binary:Version})
Suggests: nvidia-glx (>= 1.0.9625-1)
Provides: compiz-core-abiversion-${coreabiversion}
Conflicts: compiz-wrapper (<< 1:0.8.4-0ubuntu4)
Replaces: compiz-wrapper (<< 1:0.8.4-0ubuntu4),
          compiz-gnome (<< 1:0.8.4-4ubuntu1)
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 Compiz combines together a window manager and a composite manager using
 OpenGL for rendering. A "window manager" allows the manipulation of the
 multiple applications and dialog windows that are presented on the screen. A
 "composite manager" allows windows and other graphics to be combined together
 to create composite images. Compiz achieves its stunning effects by doing
 both of these functions.

Package: compiz-dev
Architecture: any
Depends: compiz-core (= ${binary:Version}), ${misc:Depends}, libgl1-mesa-dev | libgl-dev, libpng-dev, libxcomposite-dev (>= 1:0.3-2), libxfixes-dev (>=1:4.0.1), libxdamage-dev (>= 1:1.0.3), libxinerama-dev, libxrandr-dev (>=2:1.1.0.2), libxcursor-dev, libice-dev (>= 1:1.0.1), libsm-dev (>= 1:1.0.1), libstartup-notification0-dev (>= 0.7), libxslt1-dev, libxml2-dev, libx11-xcb-dev, libglib2.0-dev, libglibmm-2.4-dev, compiz-plugins (= ${binary:Version})
Description: OpenGL window and compositing manager - development files
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the headers and libraries needed to compile compiz
 plugins.

Package: compiz-kde
Architecture: any
Depends: compiz-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
         compiz-plugins (= ${binary:Version}),
         compizconfig-backend-kconfig
Description: OpenGL window and compositing manager - KDE window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains a window decorator that uses KDE to provide a look and
 feel similar to that of the default KDE window manager.

Package: compiz-gnome
Architecture: any
Suggests: gnome-themes
Depends: ${shlibs:Depends}, ${misc:Depends},
         compiz-plugins (= ${binary:Version}),
         compizconfig-backend-gconf (>= 0.9.2.1git101213)
Replaces: compiz-plugins (<= 1:0.8.6-0ubuntu12),
          compiz-fusion-plugins-extra (<< 0.9.2.1-0ubuntu3),
Description: OpenGL window and compositing manager - GNOME window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains files needed to integrate compiz with the GNOME desktop
 environment.

Package: compiz-plugins
Architecture: any
Depends: compiz-core (= ${binary:Version}),
         libdecoration0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: compiz-gnome (<< 1:0.8.4-4ubuntu1),
          compiz-fusion-plugins-extra (<< 0.9.2.1-0ubuntu3)
Description: OpenGL window and compositing manager - plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the standard plugins that come with compiz. Compiz
 without these plugins is not very useful.

Package: libdecoration0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Compiz window decoration library
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator and kde-window-decorator.

Package: libdecoration0-dev
Section: libdevel
Architecture: any
Depends: libdecoration0 (= ${binary:Version}), ${misc:Depends}, libx11-dev, libxrender-dev (>= 1:0.9.1)
Description: Compiz window decoration library - development files
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator and kde-window-decorator.
 .
 This package contains files required for developing window decorators
 compatible with Compiz.

# vim: tw=0

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' include/core/core.h )

# generated via:
#  python -c "import compizconfig; print ','.join(compizconfig.Context().Plugins['core'].Display['active_plugins'].Value)"
DEFAULT_PLUGINS = "core bailer detection composite opengl decor mousepoll vpswitch regex animation snap expo move compiztoolbox place grid imgpng gnomecompat wall ezoom workarounds staticswitcher resize fade scale session"

override_dh_auto_configure:
	# currently, segfault if CMAKE_BUILD_TYPE=Release
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCOMPIZ_DEFAULT_PLUGINS=\"$(DEFAULT_PLUGINS)\" -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCOMPIZ_PACKAGING_ENABLED=TRUE

override_dh_install:
	# Language packs
	for d in $$(find debian/tmp -type f \( -name "*.desktop" -o -name "*.directory" \) ); do \
		sed -ri '/^(Name|GenericName|Comment|X-GNOME-FullName)\[/d' $$d; \
		echo "X-Ubuntu-Gettext-Domain=compiz" >> $$d; \
	done; \
    for d in $$(find debian/tmp -type f -name "*.schemas" ); do \
		GETTEXT_DOMAIN="compiz" perl /usr/lib/cdbs/strip-schema.pl $$d > $$d.new; mv $$d.new $$d; \
	done;

	# create compiz keybindings file based on the metacity ones
	mkdir -p $(CURDIR)/debian/tmp/usr/share/gnome-control-center/keybindings/
	sed 's/wm_name=\"Metacity\" package=\"metacity\"/wm_name=\"Compiz\" package=\"compiz\"/'  /usr/share/gnome-control-center/keybindings/50-metacity-desktop-key.xml > $(CURDIR)/debian/tmp/usr/share/gnome-control-center/keybindings/50-compiz-desktop-key.xml
	sed 's/wm_name=\"Metacity\" package=\"metacity\"/wm_name=\"Compiz\" package=\"compiz\"/'  /usr/share/gnome-control-center/keybindings/50-metacity-key.xml > $(CURDIR)/debian/tmp/usr/share/gnome-control-center/keybindings/50-compiz-key.xml
	sed -i 's#key=\"/apps/metacity/general/num_workspaces\" comparison=\"gt\"##g' $(CURDIR)/debian/tmp/usr/share/gnome-control-center/keybindings/50-compiz-key.xml

	# add some selected keys
	sed -i -f debian/compiz-keybindings.sed $(CURDIR)/debian/tmp/usr/share/gnome-control-center/keybindings/50-compiz-desktop-key.xml

	# cmake findcompiz_install use COMPIZ_DESTDIR and using COMPIZ_DESTDIR and
	# DESTDIR together is completely broken upstream
	# So, doing the same in debian/rules to find a way to install things in the
	# right place, sorry for the kittens
	cmake_dir=`cmake --system-information 2> /dev/null | grep "^CMAKE_ROOT " | sed -e 's/.*"\(.*\)"/\1/'` && \
	mkdir -p debian/tmp$${cmake_dir}/Modules && cp cmake/FindCompiz.cmake debian/tmp$${cmake_dir}/Modules

	dh_install --fail-missing
	rm debian/compiz-plugins/usr/share/compiz/core.xml

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)


%:
	dh $@

=== debian/watch ===
version=3
http://releases.compiz.org/([\d\.]+)[02468]/ compiz-(\d.*)\.tar\.gz

## compiz 0.9.6+bzr20110929

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 include (CompizPackage)
 include (cmake/base.cmake)
 include (CheckFunctionExists)
+include (CTest)
 
 
 set (CMAKE_CONFIGURATION_TYPES "Debug;Release;RelWithDebInfo;MinSizeRe" CACHE INTERNAL "" FORCE)
@@ -14,16 +15,12 @@
     set (CMAKE_BUILD_TYPE "Debug" CACHE STRING "Build type (Debug/Release/RelWithDebInfo/MinSizeRe)" FORCE)
 endif (NOT CMAKE_BUILD_TYPE)
 
-# compiz package version number
-# An odd micro number indicates in-progress development.
-# An even micro number indicates a released version.
-set (COMPIZ_VERSION_MAJOR 0)
-set (COMPIZ_VERSION_MINOR 9)
-set (COMPIZ_VERSION_MICRO 4)
-set (COMPIZ_VERSION_MACRO 0)
-set (VERSION ${COMPIZ_VERSION_MAJOR}.${COMPIZ_VERSION_MINOR}.${COMPIZ_VERSION_MICRO}.${COMPIZ_VERSION_MACRO})
+file (READ ${CMAKE_SOURCE_DIR}/VERSION COMPIZ_RELEASE_VERSION LIMIT 12 OFFSET 0)
+string (STRIP ${COMPIZ_RELEASE_VERSION} COMPIZ_RELEASE_VERSION)
 
-set (DECOR_INTERFACE_VERSION 20110130)
+set (VERSION ${COMPIZ_RELEASE_VERSION})
+
+set (DECOR_INTERFACE_VERSION 20110504)
 
 if (COMPIZ_PACKAGING_ENABLED)
     set (prefix ${CMAKE_INSTALL_PREFIX}                   CACHE PATH "prefix")
@@ -63,6 +60,7 @@
     libxml-2.0
     libxslt
     glib-2.0
+    gtk+-3.0
     gio-2.0
     glibmm-2.4
     "libstartup-notification-1.0 >= 0.7"
@@ -112,17 +110,23 @@
 add_subdirectory (libdecoration)
 add_subdirectory (gtk)
 add_subdirectory (kde)
-add_subdirectory (unity/unity_window_decorator)
 add_subdirectory (po)
 add_subdirectory (metadata)
 add_subdirectory (src)
 add_subdirectory (xslt)
 add_subdirectory (plugins)
+add_subdirectory (unity/unity_window_decorator)
+if (BUILD_TESTING)
+	add_subdirectory (tests)
+endif (BUILD_TESTING)
 
 compiz_ensure_linkage ()
 compiz_package_generation ("Compiz")
 compiz_add_uninstall ()
 compiz_add_git_dist ()
+compiz_add_distcheck ()
+compiz_add_release ()
+compiz_add_release_signoff ()
 
 _print_configure_results ()

=== gtk/CMakeLists.txt ===
--- 
+++ 
@@ -86,7 +86,7 @@
 
 configure_file (
     ${CMAKE_CURRENT_SOURCE_DIR}/config.h.gtk.in
-    ${CMAKE_CURRENT_BINARY_DIR}/config.h
+    ${CMAKE_CURRENT_BINARY_DIR}/config.h	
 )
 
 add_subdirectory (window-decorator)

=== include/CMakeLists.txt ===
set (_headers
    compiz.h
    decoration.h
)

install (
    FILES ${_headers}
    DESTINATION ${COMPIZ_DESTDIR}${includedir}/compiz
)

add_subdirectory (core)

=== metadata/CMakeLists.txt ===
--- 
+++ 
@@ -50,3 +50,13 @@
 	DEPENDS ${CMAKE_BINARY_DIR}/generated/compiz-core.schemas
     )
 endif ()
+if (USE_GSETTINGS)
+    compiz_gsettings_schema (
+	${CMAKE_BINARY_DIR}/generated/core.xml
+	${CMAKE_BINARY_DIR}/generated/org.freedesktop.compiz.gschema.xml
+	${datadir}/glib-2.0/schemas
+    )
+    add_custom_target (core-settings-schema ALL
+	DEPENDS ${CMAKE_BINARY_DIR}/generated/org.freedesktop.compiz.gschema.xml
+    )
+endif ()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,8 @@
     ${compiz_BINARY_DIR}/generated
     ${CMAKE_CURRENT_SOURCE_DIR}
     ${COMPIZ_INCLUDE_DIRS}
+    ${CMAKE_PREFIX_PATH}/include
+    ${CMAKE_INCLUDE_PATH}
 )
 
 add_definitions (
@@ -50,6 +52,10 @@
     modifierhandler.cpp
     propertywriter.cpp
     eventsource.cpp
+    timeouthandler.cpp
+    valueholder.cpp
+    logmessage.cpp
+    stackdebugger.cpp
     ${_bcop_sources}
 )

=== tests/CMakeLists.txt ===
add_subdirectory (pluginclasshandler)
add_subdirectory (timer)

=== gtk/gnome/CMakeLists.txt ===
if (USE_GNOME)

    include_directories (
	${CMAKE_BINARY_DIR}/gtk
	${GNOME_WINDOW_SETTINGS_INCLUDE_DIRS}
	${GCONF_INCLUDE_DIRS}
    )

    add_definitions (
	-DHAVE_CONFIG_H
	-DMETACITY_THEME_DIR=\\\"${windowsettingsdatadir}/themes\\\"
    )

    link_directories (
	${COMPIZ_LINK_DIRS}
    )

    set (desktop_file ${CMAKE_CURRENT_BINARY_DIR}/compiz.desktop)
    compiz_translate_desktop_file (
        ${CMAKE_CURRENT_SOURCE_DIR}/compiz.desktop.in
        ${desktop_file}
    )
    install (
	FILES ${desktop_file}
	DESTINATION ${COMPIZ_DESTDIR}${datadir}/applications
    )

    set (wmproperties_file ${CMAKE_CURRENT_BINARY_DIR}/compiz-wm.desktop)
    compiz_translate_desktop_file (
        ${CMAKE_CURRENT_SOURCE_DIR}/compiz-wm.desktop.in
        ${wmproperties_file}
    )
    compiz_opt_install_file (
	${wmproperties_file}
	${windowsettingsdatadir}/gnome/wm-properties/compiz-wm.desktop
    )


    if (USE_GNOME_KEYBINDINGS)
        compiz_translate_xml (
	    ${CMAKE_CURRENT_SOURCE_DIR}/50-compiz-desktop-key.xml.in
	    ${CMAKE_CURRENT_BINARY_DIR}/50-compiz-desktop-key.xml
	)
	compiz_translate_xml (
	    ${CMAKE_CURRENT_SOURCE_DIR}/50-compiz-key.xml.in
	    ${CMAKE_CURRENT_BINARY_DIR}/50-compiz-key.xml
	)
	set (key_xml
	    ${CMAKE_CURRENT_BINARY_DIR}/50-compiz-desktop-key.xml
	    ${CMAKE_CURRENT_BINARY_DIR}/50-compiz-key.xml
	)
	compiz_opt_install_file (
	    ${CMAKE_CURRENT_BINARY_DIR}/50-compiz-desktop-key.xml
	    ${keybindingsdir}/50-compiz-desktop-key.xml
	)
	compiz_opt_install_file (
	    ${CMAKE_CURRENT_BINARY_DIR}/50-compiz-key.xml
	    ${keybindingsdir}/50-compiz-key.xml
	)
    endif (USE_GNOME_KEYBINDINGS)

    add_library (gnome-compiz MODULE
	compiz-window-manager.c
	compiz-window-manager.h
	${key_xml}
	${desktop_file}
	${wmproperties_file}
    )


    set_target_properties (gnome-compiz
	PROPERTIES OUTPUT_NAME compiz
	SKIP_BUILD_RPATH 1
    )

    target_link_libraries (
	gnome-compiz ${GNOME_WINDOW_SETTINGS_LIBRARIES}
    )

    compiz_opt_install_file (
	${CMAKE_CURRENT_BINARY_DIR}/libcompiz.so
	${windowsettingslibdir}/window-manager-settings/libcompiz.so
    )
else (USE_GNOME)

  set (desktop_file ${CMAKE_CURRENT_BINARY_DIR}/compiz.desktop)
      compiz_translate_desktop_file (
	  ${CMAKE_CURRENT_SOURCE_DIR}/compiz.desktop.in
	  ${desktop_file}
      )

      install (
	  FILES ${desktop_file}
	  DESTINATION ${COMPIZ_DESTDIR}${datadir}/applications
      )

      add_custom_target (gnome-compiz ALL
			 DEPENDS ${desktop_file})
endif (USE_GNOME)

=== include/core/CMakeLists.txt ===
set (_headers
    action.h
    atoms.h
    core.h
    countedlist.h
    icon.h
    match.h
    modifierhandler.h
    option.h
    output.h
    plugin.h
    point.h
    pluginclasshandler.h
    pluginclasses.h
    propertywriter.h
    privateunion.h
    rect.h
    region.h
    screen.h
    serialization.h
    session.h
    size.h
    timeouthandler.h
    timer.h
    valueholder.h
    window.h
    wrapsystem.h
)

install (
    FILES ${_headers}
    DESTINATION ${COMPIZ_DESTDIR}${includedir}/compiz/core
)

=== plugins/bailer/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (bailer)

=== plugins/composite/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (composite)

=== plugins/debugspew/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (debugspew PLUGINDEPS composite opengl)

=== plugins/detection/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (detection)

=== debian/changelog ===
compiz (1:0.9.6+bzr20110929-0ubuntu6.1) oneiric-proposed; urgency=low

  * debian/patches/fix_890947_synthetic_notifications.patch:
    - Unity sends initial GDK_CONFIGURE event with position as (0,0).
      (LP: #890947)
  * debian/patches/fix_focus_on_wrong_window_896762.patch:
    - Switching viewports with ctrl-alt-(left/right/up/down) does not
      give the highest window on the target viewport focus. (LP: #896762)
  * debian/patches/java_offset_frame_extents_878934.patch:
    - Menu selection is wrong in Java apps. (LP: #878934)

 -- Omer Akram <om26er@ubuntu.com>  Tue, 17 Jan 2012 15:08:38 -0500

compiz (1:0.9.6+bzr20110929-0ubuntu6) oneiric-proposed; urgency=low

  * debian/patches/rev_2821_fix_807487.patch:
    - unity-window-decorator crashed with SIGSEGV in
      g_datalist_id_set_data_full() (LP: #807487)
  * debian/patches/rev_2847_bug_796594.patch:
    - Window behaviour - pressing the 'restore' window indicator on a
      semi-maximised window should return it to the restored state
      (LP: #796594)
  * debian/patches/rev_2878_bug_865696.patch:
    - Windows from other workspaces missing decorations in window spread 
      (LP: #865696)
  * debian/patches/rev_2884_fix_874004.patch:
    - When a window is minimized on another workspace it doesn't appear
      in the spread (LP: #874004)
  * debian/patches/rev_2890_fix_879253.patch:
    - Makes the previous patch building and not crashing.
  * Add some upstream missing bits from previous fixes:
    - debian/patches/fix-864330.patch
    - debian/patches/fix-864478.patch
  * debian/patches/fix-886978.patch:
    - compiz crashes with SIGSEGV in PrivateWindow::configure (LP: #886978)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 20 Oct 2011 14:23:52 +0200

compiz (1:0.9.6+bzr20110929-0ubuntu5) oneiric-proposed; urgency=low

  * debian/patches/fix-864330.patch:
    - fix windows which can have towed moving (LP: #864330)
  * debian/patches/fix-864478.patch:
    - Window shading is broken (LP: #864478)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 12 Oct 2011 10:44:49 +0200

compiz (1:0.9.6+bzr20110929-0ubuntu4) oneiric-proposed; urgency=low

  * debian/control:
    - don't suggest nvidia-glx, it's part of the old initial packaging
      and probably a bad hint on non nvidia system (LP: #844218)
  * Cherry-pick upstream patches:
    - Windows should not automatically be focused when opened if the focus
      is on another application (LP: #748840)
    - Launcher - If a spread contains minimised windows, when the spread
      exits, the minimised windows momentarily appear on the desktop
      before disappearing (LP: #863328)
    - reproducible stacking bug in compiz (LP: #869316)
    - Click-dragging a window that's stacked above a fullscreen window will
      cause it to go underneath the fullscreen window (LP: #869919)
    - sometimes the keyboard input doesn't go to the apparently focussed
      dialog (LP: #869967)
    - Opening mumble can cause it to be stacked above the dash if you
      open the dash at the same time (LP: #865863)
    - Sometimes configure events are missed and windows move slow as a result
      (LP: #866752)
    - Workaround ubuntu desktop unity. Mouse at the left side doesn't reveal
      launcher (LP: #832150)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 06 Oct 2011 17:57:36 +0200

compiz (1:0.9.6+bzr20110929-0ubuntu3) oneiric; urgency=low

  * debian/patches/04_fix_insertServerWindow_crash.patch:
    - compiz crashed with SIGSEGV in CompScreen::insertServerWindow()
      (LP: #857487)
  * debian/patches/05_fix_reconfigureXWindow_crash.patch:
    - compiz crashed with SIGABRT in raise() (LP: #857738)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 04 Oct 2011 13:49:01 +0200

compiz (1:0.9.6+bzr20110929-0ubuntu2) oneiric; urgency=low

  * debian/patches/02_fix_autofocus_minimize_window.patch:
    - closing a window gives focus to last minimized window (LP: #862719)
  * debian/patches/03_fix_configureframe.patch:
    - compiz crashed with SIGSEGV in PrivateWindow::configureFrame()
      (LP: #861909)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 04 Oct 2011 08:29:38 +0200

compiz (1:0.9.6+bzr20110929-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot:
    - Workspace switcher makes windows lose decorations (LP: #853951)
    - compiz crashed with SIGSEGV in PrivateWindow::addWindowStackChanges()
      (LP: #861793)
    - sometimes, restored window placed too high (LP: #716521)
    - can't maximize windows on second monitor and Qt windows displayed in
      wrong place (LP: #861341)
  * 091_no_use_gnome_but_desktop_file.patch:
    - partially committed upstream, no more needed

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 29 Sep 2011 09:21:42 +0200

compiz (1:0.9.6-0ubuntu1) oneiric; urgency=low

  * New upstream release 0.9.6:
   - Windows which are marked transients of docks should be treated like docks (LP: #860397)
   - Applications which create multiple windows that are transients of each other can be given invalid stack positions (LP: #858625)
   - race condition in configureXWindow causes unpredicatable window geometry changes (LP: #860304)
   - invisible window when a window is mapped but not yet drawn on by the process mapping it (LP: #860286)
   - resizing bugs with xterm (LP: #854725)
   - Cannot open a window that starts iconified (LP: #732997)
   - maximized windows fail to update their input extents when undecorated (LP: #853734)
   - Clicking on a tweet/message link sometimes does not work (LP: #790565)
   - crash on closing a window (LP: #856015)
   - Windows move to 0,0 on compiz restarts (LP: #858629)
   - windows that are decorated while resizing can cause incorrect resize results (LP: #860306)
   - remove transient window handling from unity-window-decorator (LP: #856096)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 28 Sep 2011 14:15:21 +0200

compiz (1:0.9.5.94+bzr20110919-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot:


=== debian/control ===
--- 
+++ 
@@ -5,14 +5,11 @@
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: David Nusinow <dnusinow@debian.org>, Sean Finney <seanius@debian.org>, Cyril Brulebois <kibi@debian.org>
 Build-Depends: cmake (>= 2.6),
- cdbs,
  debhelper (>= 7.0.50~), intltool, 
- kdebase-workspace-dev,
  libcairo2-dev,
  libdbus-glib-1-dev, libgconf2-dev, 
- libgl1-mesa-dev (>= 6.5.1) | libgl-dev, libglib2.0-dev, libgnome-desktop-dev, 
- libgnomeui-dev, libboost1.42-dev, libboost-serialization1.42-dev,
- libgnome-window-settings-dev, libgtk2.0-dev, libice-dev (>= 1:1.0.1), 
+ libgl1-mesa-dev (>= 6.5.1) | libgl-dev, libglib2.0-dev, libboost-serialization1.46-dev,
+ libgtk2.0-dev, libgtk-3-dev, libice-dev (>= 1:1.0.1), 
  libmetacity-dev (>= 1:2.30.3-0ubuntu3), libpango1.0-dev, libpng12-dev | libpng-dev, librsvg2-dev, 
  libsm-dev (>= 1:1.0.1), libtool, libwnck-dev, libx11-dev, libxcomposite-dev (>= 1:0.3-2), libxext-dev,
  libxdamage-dev (>=1:1.0.3), libxfixes-dev (>= 1:4.0.1), libxinerama-dev, 
@@ -24,16 +21,21 @@
  libglu1-mesa-dev,
  libglib2.0-dev,
  libglibmm-2.4-dev,
- kdebase-workspace-dev, kdelibs5-dev (>= 4:4.2.2),
+ kde-workspace-dev, kdelibs5-dev (>= 4:4.2.2),
  metacity-common, libx11-xcb-dev,
+ libdecoration0-dev,
  gnome-control-center-dev,
-Standards-Version: 3.8.1
+Standards-Version: 3.9.2
 Vcs-Bzr: https://code.launchpad.net/~compiz/compiz/ubuntu
 
 Package: compiz
 Architecture: all
 Provides: x-window-manager
-Depends: compiz-core (>= ${source:Version}), compiz-plugins (>= ${source:Version}), compiz-gnome | compiz-kde, compiz-plugins-main (>= 0.9), libcompizconfig0 (>= 0.9), ${misc:Depends}
+Depends: compiz-core (>= ${source:Version}),
+         compiz-plugins-default (>= ${source:Version}),
+         compiz-gnome | compiz-kde,
+         compiz-plugins-main-default (>= 0.9),
+         libcompizconfig0 (>= 0.9), ${misc:Depends}
 Suggests: compizconfig-settings-manager
 Description: OpenGL window and compositing manager
  Compiz brings to life a variety of visual effects that make the Linux desktop
@@ -48,13 +50,12 @@
 Package: compiz-core
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libcompizconfig0 (<< 0.9.2.1git101125-0ubuntu3),
+Breaks: libcompizconfig0 (<< 0.9.5.94-0ubuntu2),
  compiz-fusion-plugins-main (<< 0.9.2.1-0ubuntu6), 
- unity (<< 3.2.6-0ubuntu2), 
+ unity (<< 4.2.0), 
  compiz-fusion-plugins-extra (<< 0.9),
  simple-ccsm (<< 0.9)
-Recommends: compiz-plugins (= ${binary:Version})
-Suggests: nvidia-glx (>= 1.0.9625-1)
+Recommends: compiz-plugins-default (= ${binary:Version})
 Provides: compiz-core-abiversion-${coreabiversion}
 Conflicts: compiz-wrapper (<< 1:0.8.4-0ubuntu4)
 Replaces: compiz-wrapper (<< 1:0.8.4-0ubuntu4),
@@ -73,7 +74,7 @@
 
 Package: compiz-dev
 Architecture: any
-Depends: compiz-core (= ${binary:Version}), ${misc:Depends}, libgl1-mesa-dev | libgl-dev, libpng-dev, libxcomposite-dev (>= 1:0.3-2), libxfixes-dev (>=1:4.0.1), libxdamage-dev (>= 1:1.0.3), libxinerama-dev, libxrandr-dev (>=2:1.1.0.2), libxcursor-dev, libice-dev (>= 1:1.0.1), libsm-dev (>= 1:1.0.1), libstartup-notification0-dev (>= 0.7), libxslt1-dev, libxml2-dev, libx11-xcb-dev, libglib2.0-dev, libglibmm-2.4-dev, compiz-plugins (= ${binary:Version})
+Depends: compiz-core (= ${binary:Version}), ${misc:Depends}, libgl1-mesa-dev | libgl-dev, libpng-dev, libgtk-3-dev, libxcomposite-dev (>= 1:0.3-2), libxfixes-dev (>=1:4.0.1), libxdamage-dev (>= 1:1.0.3), libxinerama-dev, libxrandr-dev (>=2:1.1.0.2), libxcursor-dev, libice-dev (>= 1:1.0.1), libsm-dev (>= 1:1.0.1), libstartup-notification0-dev (>= 0.7), libxslt1-dev, libxml2-dev, libx11-xcb-dev, libglib2.0-dev, libglibmm-2.4-dev, compiz-plugins (= ${binary:Version}), libdecoration0-dev
 Description: OpenGL window and compositing manager - development files
  Compiz brings to life a variety of visual effects that make the Linux desktop
  easier to use, more powerful and intuitive, and more accessible for users
@@ -85,8 +86,9 @@
 Package: compiz-kde
 Architecture: any
 Depends: compiz-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
-         compiz-plugins (= ${binary:Version}),
+         compiz-plugins-default (= ${binary:Version}),
          compizconfig-backend-kconfig
+Replaces: compiz-plugins (<< 1:0.9.4+bzr20110606-0ubuntu3)
 Description: OpenGL window and compositing manager - KDE window decorator
  Compiz brings to life a variety of visual effects that make the Linux desktop
  easier to use, more powerful and intuitive, and more accessible for users
@@ -99,7 +101,7 @@
 Architecture: any
 Suggests: gnome-themes
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         compiz-plugins (= ${binary:Version}),
+         compiz-plugins-default (= ${binary:Version}),
          compizconfig-backend-gconf (>= 0.9.2.1git101213)
 Replaces: compiz-plugins (<= 1:0.8.6-0ubuntu12),
           compiz-fusion-plugins-extra (<< 0.9.2.1-0ubuntu3),
@@ -111,21 +113,36 @@
  This package contains files needed to integrate compiz with the GNOME desktop
  environment.
 
-Package: compiz-plugins
+Package: compiz-plugins-default
 Architecture: any
 Depends: compiz-core (= ${binary:Version}),
          libdecoration0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
-Replaces: compiz-gnome (<< 1:0.8.4-4ubuntu1),
+Replaces: compiz-plugins (<< 1:0.9.4+bzr20110606-0ubuntu3),
+          compiz-gnome (<< 1:0.8.4-4ubuntu1),
           compiz-fusion-plugins-extra (<< 0.9.2.1-0ubuntu3)
+Description: OpenGL window and compositing manager - default plugins
+ Compiz brings to life a variety of visual effects that make the Linux desktop
+ easier to use, more powerful and intuitive, and more accessible for users
+ with special needs.
+ .
+ This package contains the default compiz plugins we activate in ubuntu coming
+ with core compiz.
+
+Package: compiz-plugins
+Architecture: any
+Depends: compiz-core (= ${binary:Version}),
+         compiz-plugins-default (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
+Replaces: compiz-gnome (<< 1:0.8.4-4ubuntu1)
 Description: OpenGL window and compositing manager - plugins
  Compiz brings to life a variety of visual effects that make the Linux desktop
  easier to use, more powerful and intuitive, and more accessible for users
  with special needs.
  .
- This package contains the standard plugins that come with compiz. Compiz
- without these plugins is not very useful.
+ This package contains the standard plugins that come with compiz.
 
 Package: libdecoration0
 Architecture: any
@@ -147,4 +164,3 @@
  This package contains files required for developing window decorators
  compatible with Compiz.
 
-# vim: tw=0

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' include/core/core.h )

# generated via:
#  python -c "import compizconfig; print ','.join(compizconfig.Context().Plugins['core'].Display['active_plugins'].Value)"
DEFAULT_PLUGINS = "core bailer detection composite opengl decor mousepoll vpswitch regex animation snap expo move compiztoolbox place grid imgpng gnomecompat wall ezoom workarounds staticswitcher resize fade scale session"

override_dh_auto_configure:
	# currently, segfault if CMAKE_BUILD_TYPE=Release
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCOMPIZ_DEFAULT_PLUGINS=\"$(DEFAULT_PLUGINS)\" -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCOMPIZ_PACKAGING_ENABLED=TRUE -DUSE_GSETTINGS=OFF -DCOMPIZ_DISABLE_GS_SCHEMAS_INSTALL=ON

override_dh_install:
	# Language packs
	for d in $$(find debian/tmp -type f \( -name "*.desktop" -o -name "*.directory" \) ); do \
		sed -ri '/^(Name|GenericName|Comment|X-GNOME-FullName)\[/d' $$d; \
		echo "X-Ubuntu-Gettext-Domain=compiz" >> $$d; \
	done;
	#for d in $$(find debian/tmp -type f -name "*.schemas" ); do \
	#		GETTEXT_DOMAIN="compiz" perl /usr/lib/cdbs/strip-schema.pl $$d > $$d.new; mv $$d.new $$d; \
	#done;

	# create compiz keybindings file based on the metacity ones.
	mkdir -p $(CURDIR)/debian/tmp/usr/share/gnome-control-center/keybindings/
	# keep package=metacity to get the right translation :)
	for i in launchers navigation screenshot system windows ; do \
	    sed 's/wm_name=\"Metacity\"/wm_name=\"Compiz\"/' /usr/share/gnome-control-center/keybindings/50-metacity-$${i}.xml > $(CURDIR)/debian/tmp/usr/share/gnome-control-center/keybindings/50-compiz-$${i}.xml ; \
    done
	# add some selected keys
	sed -i 's#key=\"/apps/metacity/general/num_workspaces\" comparison=\"gt\"##g' $(CURDIR)/debian/tmp/usr/share/gnome-control-center/keybindings/50-compiz-navigation.xml
    # TODO: checking and bending those key to a compiz equivalent (or move the blessed option to g-c-c)
	#sed -i 's#description="Toggle magnifier">#description="Toggle magnifier">/apps/compiz-1/plugins/scale/screen0/options/initiate_key#g' $(CURDIR)/debian/tmp/usr/share/gnome-control-center/keybindings/50-compiz-accessibility.xml
	#sed -i 's#description="Magnifier zoom in">#description="Magnifier zoom in">/apps/compiz-1/plugins/ezoom/screen0/options/zoom_in_key#g' $(CURDIR)/debian/tmp/usr/share/gnome-control-center/keybindings/50-compiz-accessibility.xml
	#sed -i 's#description="Magnifier zoom out">#description="Magnifier zoom out">/apps/compiz-1/plugins/ezoom/screen0/options/zoom_out_key#g' $(CURDIR)/debian/tmp/usr/share/gnome-control-center/keybindings/50-compiz-accessibility.xml

	# cmake findcompiz_install use COMPIZ_DESTDIR and using COMPIZ_DESTDIR and
	# DESTDIR together is completely broken upstream
	# So, doing the same in debian/rules to find a way to install things in the
	# right place, sorry for the kittens
	cmake_dir=`cmake --system-information 2> /dev/null | grep "^CMAKE_ROOT " | sed -e 's/.*"\(.*\)"/\1/'` && \
	mkdir -p debian/tmp$${cmake_dir}/Modules && cp cmake/FindCompiz.cmake debian/tmp$${cmake_dir}/Modules

	dh_install --fail-missing

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)


%:
	dh $@
